corda / net.corda.core.schemas / QueryableState

# QueryableState

`interface QueryableState : ContractState`

A contract state that may be mapped to database schemas configured for this node to support querying for, or filtering of, states.

### Inherited Properties

contract | `abstract val contract: Contract` An instance of the contract class that will verify this state.
participants | `abstract val participants: List<CompositeKey>` A participant is any party that is able to consume this state in a valid transaction.

### Functions

generateMappedObject | `abstract fun generateMappedObject(schema: MappedSchema): PersistentState` Export a representation for the given schema.
supportedSchemas | `abstract fun supportedSchemas(): Iterable<MappedSchema>` Enumerate the schemas this state can export representations of itself as.

### Extension Functions

hash | `fun ContractState.hash(): SecureHash` Returns the SHA-256 hash of the serialised contents of this state (not cached!)

### Inheritors

State | `data class State : FungibleAsset<Currency>, QueryableState` A state representing a cash claim against some party.
State | `data class State : OwnableState, QueryableState, ICommercialPaperState`